package com.eactive.eai.batch.telegram;

import java.io.Serializable;

/**
* 1. 기능 : 전문을 표현하는 Java Value object
*           관련 테이블 - TSEAIBM01, TSEAIBM02
* 2. 처리 개요 :
*
* 3. 주의사항
*
* @author  : YCLee
* @version : v 1.0.0
* @see :
* @since   :JDK v1.4.2
*/
public class TelegramItemVO implements Serializable
{
    private static final long serialVersionUID = 1L;

    /**
     *  전문 필드 ID
     */
    private String fieldID;

    /**
     *  전문 필드 명
     */
    private String fieldName;

    /**
     *  전문 필드 타입 : A: 문자, N: 숫자, AN: 문자와 숫자 모두 가능
     */
    private String fieldType;

    /**
     *  전문 필드 길이
     */
    private String fieldLength;


    /**
     * 1. 기능 : Defualt Constructor
     * 2. 처리 개요 :
     *    - Defualt Constructor
     * 3. 주의사항
     *
     **/
    public TelegramItemVO() {
    }

    /**
     * 1. 기능 : EAI 서버 이름을 저장하는 생성자 함수
     * 2. 처리 개요 :
     *    - EAI 서버 이름을 저장하는 생성자 함수
     * 3. 주의사항
     *
     * @param   name    EAI 서버 이름
     **/
    public TelegramItemVO(String fieldName, String fieldType, String fieldLength, String fieldID) {
        this.fieldName   = fieldName;
        this.fieldType   = fieldType;
        this.fieldLength = fieldLength;
        this.fieldID     = fieldID;
    }

    public String toString()
    {
        return this.getFieldID() + ", " + this.getFieldName() + ", " + this.getFieldType() + ", " + this.getFieldLength();
    }

    /**
     * 1. 기능 : TelegramItemVO의 get, set 메소드
     * 2. 처리 개요 :
     * 3. 주의사항 :
     *
     **/
    public void setFieldID(String fieldID)
    {
        this.fieldID = fieldID;
    }

    public String getFieldID()
    {
        return this.fieldID;
    }

    public void setFieldName(String fieldName)
    {
        this.fieldName = fieldName;
    }

    public String getFieldName()
    {
        return this.fieldName;
    }

    public void setFieldType(String fieldType)
    {
        this.fieldType = fieldType;
    }

    public String getFieldType()
    {
        return this.fieldType;
    }

    public void setFieldLength(String fieldLength)
    {
        this.fieldLength = fieldLength;
    }

    public String getFieldLength()
    {
        return this.fieldLength;
    }

}